{% extends 'hkm/base.html' %}
{% load i18n hkm_tags %}

{% block body_class %}basket-page{% endblock %}
{% block nav_class %}nav_collection{% endblock %}
{% block extra_js %}
    <script src="{{ STATIC_URL }}hkm/js/basket.js"></script>
{% endblock %}
{% block main_content %}
    {% if basket.product_lines %}
        <div class="fullsize-container">
            <div class="btn-container">
                <a href="/" class="btn btn-normal-green">{% trans 'Back to Homepage' %}</a>
            </div>
                <section class="basket">
                    {% include "hkm/views/_basket_content.html" %}
                            </section>
                    <form method="post" action="{% url 'checkout' %}">
                        {% csrf_token %}
                        <div class="basket-footer-row">
                            <div>
                                {% if request.user.is_authenticated and request.user.profile.is_museum %}
                                    <label>{{ form.orderer_name.label }}:&nbsp;</label>{{ form.orderer_name }}
                                {% endif %}
                            </div>
                            <div class="basket-total">
                                <div class="basket-price-total">
                                    {% include "hkm/snippets/_basket_total_row.html" %}

                                </div>
                                {{ form.action }}
                                <button type="submit" class="btn btn-primary btn-lg pull-right basket-footer-button">{% trans 'Proceed to Checkout' %}</button>
                            </div>
                        </div>
                    </form>

        </div>
    {% else %}
        <div class="fullsize-container empty-basket">
            <div class="btn-container"><a href="/" class="btn btn-normal-green">{% trans 'Back to Homepage' %}</a></div>
            <h3 class="centered-fullwidth">{% trans "Your cart is empty" %}</h3>
        </div>

    {% endif %}
{% endblock %}
